_Elm_Slider_Data Struct Reference
Widgets Extension Infrastructure

## Data Fields

Evas_Object * | popup
Evas_Object * | popup2
Evas_Object * | track
Evas_Object * | track2
Evas_Object * | spacer
double | val
double | val_min
double | val_max
double | step
double | intvl_from
double | intvl_to
double | wheel_indicator_duration
int | intvl_flag
Evas_Coord | downx
Evas_Coord | downy
Efl_Ui_Layout_Orientation | dir
Ecore_Timer * | wheel_indicator_timer
Ecore_Timer * | delay
Elm_Slider_Indicator_Visible_Mode | indicator_visible_mode
| indicator_visible_mode of the slider.
Evas_Coord | size
Efl_Ui_Format_Func | format_cb
Eina_Free_Cb | format_free_cb
void * | format_cb_data
Eina_Strbuf * | format_strbuf
Efl_Ui_Format_Func | indi_format_cb
Eina_Free_Cb | indi_format_free_cb
void * | indi_format_cb_data
Eina_Strbuf * | indi_format_strbuf
const char * | indi_template
Eina_Bool | indicator_show: 1
Eina_Bool | units_show: 1
Eina_Bool | popup_visible: 1
Eina_Bool | intvl_enable: 1
Eina_Bool | spacer_down: 1
Eina_Bool | frozen: 1

## Field Documentation

## indicator_visible_mode

Elm_Slider_Indicator_Visible_Mode _Elm_Slider_Data::indicator_visible_mode

indicator_visible_mode of the slider.

This indicates when to show an indicator